# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs 0
%else
%define build_docs 0
%endif

%bcond_with examples

# Versioning

%define qtmajor 6
%define qtminor 3
%define qtsubminor 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 1

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtsvg-everywhere-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtsvg          %mklibname qt%{qtmajor}svg %{qtmajor}
%define libqtsvg_d        %mklibname qt%{qtmajor}svg -d

%define libqtsvgwidgets   %mklibname qt%{qtmajor}svgwidgets %{qtmajor}
%define libqtsvgwidgets_d %mklibname qt%{qtmajor}svgwidgets -d

Name:           qtsvg6
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt Svg component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io/
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
## Branch Patchs

## Trunk Patchs

## Patch from Mageia

BuildRequires:  cmake
BuildRequires:  ninja
BuildRequires:  qtbase6-devel = %{version}
BuildRequires:  qtbase6-qtpaths = %{version}
 
Provides:       qt%{qtmajor}-qtsvg = %{version}-%{release}

%description
The Qt%{qtmajor} Svg module provides classes for displaying and creating SVG files.

%files
%{_qt6_plugindir}/iconengines/libqsvgicon.so
%{_qt6_plugindir}/imageformats/libqsvg.so

#------------------------------------------------------------------------------

%if %{build_docs}
%package doc
Summary:        QtSvg%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools6
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools6-assistant
Recommends:     qttools6-assistant

%description doc
Documentation for APIs and tools in QtSvg%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt6_docdir}/qtsvg.qch
%{_qt6_docdir}/qtsvg/
%endif

#------------------------------------------------------------------------------

%package -n %{libqtsvg}
Summary:        Qt%{qtmajor} Svg Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtsvg}
Qt%{qtmajor} Svg Component Library.

The Qt%{qtmajor} Svg module provides classes for displaying and creating SVG files.

%files -n %{libqtsvg}
%{_qt6_libdir}/libQt6Svg.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsvg_d}
Summary:        Devel files needed to build apps based on QtSvg
Group:          Development/KDE and Qt
Requires:       %{libqtsvg} = %{version}
Provides:       libqtsvg6-devel = %{version}
Provides:       libqt6svg-devel = %{version}
Provides:       qtsvg6-devel = %{version}
Provides:       qt6svg-devel = %{version}
Provides:       qt%{qtmajor}-qtsvg-devel = %{version}-%{release}

Provides:       libqtsvg6-private-devel = %{version}
Provides:       libqt6svg-private-devel = %{version}
Provides:       qtsvg6-private-devel = %{version}
Provides:       qt6svg-private-devel = %{version}

%description -n %{libqtsvg_d}
Devel files needed to build apps based on QtSvg.

%files -n %{libqtsvg_d}
%{_qt6_libdir}/libQt6Svg.prl
%{_qt6_libdir}/libQt6Svg.so
%{_qt6_libdir}/cmake/Qt6Svg/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_svg.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_svg_private.pri
%{_qt6_includedir}/QtSvg/
%{_qt6_datadir}/modules/Svg.json
%if %{with examples}
%{_qt6_examplesdir}/svg/
%endif
#
%{_qt6_libdir}/cmake/Qt6BuildInternals/StandaloneTests/QtSvgTestsConfig.cmake
%{_qt6_libdir}/cmake/Qt6Gui/*.cmake

#------------------------------------------------------------------------------

%package -n %{libqtsvgwidgets}
Summary:        Qt%{qtmajor} Svg Widgets Library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %{libqtsvgwidgets}
Qt%{qtmajor} Svg Widgets Component Library.

%files -n %{libqtsvgwidgets}
%{_qt6_libdir}/libQt6SvgWidgets.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n %{libqtsvgwidgets_d}
Summary:        Devel files needed to build apps based on QtSvgWidgets
Group:          Development/KDE and Qt
Requires:       %{libqtsvgwidgets} = %{version}
Provides:       libqtsvgwidgets6-devel = %{version}
Provides:       libqt6svgwidgets-devel = %{version}
Provides:       qtsvgwidgets6-devel = %{version}
Provides:       qt6svgwidgets-devel = %{version}

Provides:       libqtsvgwidgets6-private-devel = %{version}
Provides:       libqt6svgwidgets-private-devel = %{version}
Provides:       qtsvgwidgets6-private-devel = %{version}
Provides:       qt6svgwidgets-private-devel = %{version}

%description -n %{libqtsvgwidgets_d}
Devel files needed to build apps based on QtSvgWidgets.

%files -n %{libqtsvgwidgets_d}
%{_qt6_libdir}/libQt6SvgWidgets.prl
%{_qt6_libdir}/libQt6SvgWidgets.so
%{_qt6_libdir}/cmake/Qt6SvgWidgets/
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_svgwidgets.pri
%{_qt6_archdatadir}/mkspecs/modules/qt_lib_svgwidgets_private.pri
%{_qt6_includedir}/QtSvgWidgets/
%{_qt6_datadir}/modules/SvgWidgets.json
%{_qt6_libdir}/metatypes/qt6svg_relwithdebinfo_metatypes.json
%{_qt6_libdir}/metatypes/qt6svgwidgets_relwithdebinfo_metatypes.json

#------------------------------------------------------------------------------

%prep
%setup -q -n qtsvg-everywhere-src-%{qtversion}
%autopatch -p1

%build
%cmake_qt6 %{!?with_examples:-DQT_BUILD_EXAMPLES:BOOL=OFF}
%cmake_build

%if %{build_docs}
%__make docs
%endif

%install
%cmake_install

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# Fix all buildroot paths
find %{buildroot}%{_qt6_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}%{_qt6_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}%{_qt6_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '*.a' -delete


%changelog
* Sun Aug 28 2022 neoclust <neoclust> 6.3.1-1.mga8
+ Revision: 1881451
- Add qt6-rpm-macros package into backport

* Sun Aug 28 2022 neoclust <neoclust> 6.3.1-1.mga9
+ Revision: 1881394
- New version 6.3.1

* Fri Jul 29 2022 wally <wally> 6.3.0-1.mga9
+ Revision: 1872867
- disable examples as they needs itself to build
+ neoclust <neoclust>
- New version 6.3.0

* Sun Apr 03 2022 umeabot <umeabot> 6.2.3-2.mga9
+ Revision: 1842731
- Mageia 9 Mass Rebuild

* Sun Feb 20 2022 neoclust <neoclust> 6.2.3-1.mga9
+ Revision: 1781924
- New version 6.2.3

* Sun Nov 14 2021 neoclust <neoclust> 6.2.1-1.mga9
+ Revision: 1756255
- New version 6.2.1

* Wed Nov 10 2021 neoclust <neoclust> 6.2.0-1.mga9
+ Revision: 1755840
- New version 6.2.0

* Thu May 13 2021 daviddavid <daviddavid> 6.1.0-1.mga9
+ Revision: 1722748
- initial package qtsvg6

